Constants
Date: 2016-06-25

org.osgi.service.device

## Interface Constants

-     public interface Constants

  This interface defines standard names for property keys associated with `Device` and `Driver` services.

  The values associated with these keys are of type `java.lang.String`, unless otherwise stated.

  Since:
    1.1
  See Also:
    `Device`, `Driver`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEVICE_CATEGORY` Property (named "DEVICE_CATEGORY") containing a human readable description of the device categories implemented by a device.
    `static java.lang.String` | `DEVICE_DESCRIPTION` Property (named "DEVICE_DESCRIPTION") containing a human readable string describing the actual hardware device.
    `static java.lang.String` | `DEVICE_SERIAL` Property (named "DEVICE_SERIAL") specifying a device's serial number.
    `static java.lang.String` | `DRIVER_ID` Property (named "DRIVER_ID") identifying a driver.

- - ### Field Detail

    - #### DRIVER_ID

          static final java.lang.String DRIVER_ID

      Property (named "DRIVER_ID") identifying a driver.

      A `DRIVER_ID` should start with the reversed domain name of the company that implemented the driver (e.g., `com.acme`), and must meet the following requirements:

      - It must be independent of the location from where it is obtained.
      - It must be independent of the `DriverLocator` service that downloaded it.
      - It must be unique.
      - It must be different for different revisions of the same driver.

      This property is mandatory, i.e., every `Driver` service must be registered with it.

      See Also:
        Constant Field Values

    - #### DEVICE_CATEGORY

          static final java.lang.String DEVICE_CATEGORY

      Property (named "DEVICE_CATEGORY") containing a human readable description of the device categories implemented by a device. This property is of type `String[]`

      Services registered with this property will be treated as devices and discovered by the device manager

      See Also:
        Constant Field Values

    - #### DEVICE_SERIAL

          static final java.lang.String DEVICE_SERIAL

      Property (named "DEVICE_SERIAL") specifying a device's serial number.
      See Also:
        Constant Field Values

    - #### DEVICE_DESCRIPTION

          static final java.lang.String DEVICE_DESCRIPTION

      Property (named "DEVICE_DESCRIPTION") containing a human readable string describing the actual hardware device.
      See Also:
        Constant Field Values